#ifndef GET_STATUS_H
#define GET_STATUS_H

#include "ui_get_status.h"
#include <QFile>
#include <QCloseEvent>
#include <QDesktopServices>

#include <QMenu>

using namespace Ui;

class get_my_status : public QDialog, public get_status
{
	Q_OBJECT

public:
	get_my_status(QWidget *parent = 0);
	~get_my_status();
	quint64 myindex;
	QString mydatapath;
	void viewlog();

protected:
	void showEvent ( QShowEvent * event );
	void closeEvent ( QCloseEvent * event ); 

private slots:
		void on_messageList_customContextMenuRequested(QPoint);
		void clsErr();
		void update();

signals:
		void doClsErr(const qint64 &);
		void viewLog(const qint64 &);
};

#endif